unit SvcCtrlUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    btnStart: TButton;
    btnStop: TButton;
    procedure btnStartClick(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses                                        
  WinSvc;

procedure TForm1.btnStartClick(Sender: TObject);
var
  scm: THandle;
  svc: THandle;
  p: pChar;
begin
   getMem(p,256);
   try
     scm := OpenSCManager(nil,nil,SC_MANAGER_ALL_ACCESS);
     svc := OpenService(scm,'BugService',SERVICE_ALL_ACCESS);
     StartService(svc,0,p);
     CloseServiceHandle(svc);
     CloseServiceHandle(scm);
   finally
     freemem(p);
   end;
end;

procedure TForm1.btnStopClick(Sender: TObject);

var
  scm: THandle;
  svc: THandle;
  ss: TServiceStatus;
begin
   try
     scm := OpenSCManager(nil,nil,SC_MANAGER_ALL_ACCESS);
     svc := OpenService(scm,'BugService',SERVICE_ALL_ACCESS);
     ControlService(svc,SERVICE_CONTROL_STOP,ss);
     CloseServiceHandle(svc);
     CloseServiceHandle(scm);
   finally
   end;
end;

end.
